package com.zbf.system.service;

import com.zbf.system.domain.TBaseGoods;

import java.util.List;

/**
 * 物料Service接口
 *
 * @author tony
 * @date 2024-06-15
 */
public interface ITBaseGoodsService {
    /**
     * 查询物料
     *
     * @param id 物料主键
     * @return 物料
     */
    public TBaseGoods selectTBaseGoodsById(Long id);

    /**
     * 查询物料列表
     *
     * @param tBaseGoods 物料
     * @return 物料集合
     */
    public List<TBaseGoods> selectTBaseGoodsList(TBaseGoods tBaseGoods);

    /**
     * 新增物料
     *
     * @param tBaseGoods 物料
     * @return 结果
     */
    public int insertTBaseGoods(TBaseGoods tBaseGoods);

    /**
     * 修改物料
     *
     * @param tBaseGoods 物料
     * @return 结果
     */
    public int updateTBaseGoods(TBaseGoods tBaseGoods);

    /**
     * 批量删除物料
     *
     * @param ids 需要删除的物料主键集合
     * @return 结果
     */
    public int deleteTBaseGoodsByIds(Long[] ids);

    /**
     * 删除物料信息
     *
     * @param id 物料主键
     * @return 结果
     */
    public int deleteTBaseGoodsById(Long id);

    /**
     * 批量禁用物料
     *
     * @param ids 需要禁用的物料主键集合
     * @return 结果
     */
    public int disabledTBaseGoodsByIds(Long[] ids);

    /**
     * 批量启用物料
     *
     * @param ids 需要启用的物料主键集合
     * @return 结果
     */
    public int enableTBaseGoodsByIds(Long[] ids);

    /**
     * 改变状态
     *
     * @param tBaseGoods
     * @return 结果
     */
    public int updateStatus(TBaseGoods tBaseGoods);

    List<TBaseGoods> queryTBaseGoodsByGoodsId(String goodsId);

    public String importData(List<TBaseGoods> list, boolean updateSupport, String userName);

    int saveRfid(TBaseGoods goods);
}

